package com.czg.service.order.mapper;

import com.czg.order.entity.ShopOrderStatistic;
import com.czg.order.param.DataSummaryTradeParam;
import com.mybatisflex.core.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 *  映射层。
 *
 * @author zs
 * @since 2025-03-07
 */
@Mapper
public interface ShopOrderStatisticMapper extends BaseMapper<ShopOrderStatistic> {

    ShopOrderStatistic getTradeData(DataSummaryTradeParam param);
    long getNewMemberCount(DataSummaryTradeParam param);

    List<Map<String, Object>> getPayTypeAmountCount(DataSummaryTradeParam param);

    List<Map<String, Object>> getVipRechargeAmountCount(DataSummaryTradeParam param);

    BigDecimal getCustomerUnitPrice(DataSummaryTradeParam param);

    BigDecimal getTableTurnoverRate(DataSummaryTradeParam param);

    List<Long> getShopIdList();
}
